
Core - Bug # 54897

Status: Resolved Priority: Should have
Author: Peter Niederlag Category: TypoScript
Created: 2014-01-10 Assigned To: Peter Niederlag
Updated: 2014-01-21 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Wrong lineNumbers and templateNames in TypoScript-Object-Browser/Template-Analyzer
Description

The template names and the line numbers in the TypoScript-Object-Browser and the Template-Analyzer don't match eatch other.

Related issues:
related to Core - Bug # 62549: 6.2.4 ~ 6.2.6 template analyzer displays wrong... Accepted 2014-10-30
related to Core - Bug # 54903: TemplateService runs processIncludes twice whe... Resolved 2014-01-10
follows Core - Bug # 53352: Template Analyzer produces wrong results Resolved 2013-11-05

Associated revisions
Revision 5a802c83 - 2014-01-21 17:57 - Peter Niederlag 

[BUGFIX] lineNumber count in Template Analyzer
ExtendedTemplateService=======================
    -  fix/improve ExtentedTemplateService->lineNumberToScript
    -  don't prepend additional LF in ExtentedTemplateService->ext_outputTS
    -  remove obscure empty line removals in ext_outputTS and ext_formatTS
TemplateAnalyzerModuleFunctionController========================================
    -  use local $hierarchyInfo to fetch template titles

Resolves: #54897
Releases: 6.2
Change-Id: Ia01a89af49d72ed47bef6430042e260af0de3907
Reviewed-on: https://review.typo3.org/26747
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-01-10 18:45 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#2 - 2014-01-10 21:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#3 - 2014-01-11 22:57 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#4 - 2014-01-14 21:09 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#5 - 2014-01-14 21:17 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#6 - 2014-01-14 21:54 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#7 - 2014-01-14 22:59 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26747

#8 - 2014-01-21 18:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5a802c8337c3067586ae48109d0df579f60481ec.
